#property copyright "SEFC Media Corp"
#property link      " "

#property indicator_separate_window
#property indicator_buffers 2
#property indicator_color1 Blue
#property indicator_color2 Red

extern int Jlh_Candle = 1000;
double g_ibuf_80[];
double g_ibuf_84[];

int init() {
   IndicatorBuffers(2);
   SetIndexStyle(0, DRAW_LINE, STYLE_SOLID, 1, Blue);
   SetIndexBuffer(0, g_ibuf_80);
   SetIndexStyle(1, DRAW_LINE, STYLE_SOLID, 1, Red);
   SetIndexBuffer(1, g_ibuf_84);
   string ls_0 = "SEFC Entry(" + 7 + ")";
   IndicatorShortName(ls_0);
   SetIndexLabel(0, ls_0);
   return (0);
}

int deinit() {
   return (0);
}

int start() {
   double ld_24;
   double ld_32;
   double ld_48;
   double ld_56;
   double ld_64;
   double ld_72;
   if (TimeCurrent() >= D'15.01.2015 02:00') {
      Alert("Maaf SEFC Gap Advisor Market ini expired");
      return (0);
   }
   string l_name_0 = "SEFC Gap Advisor";
   ObjectCreate(l_name_0, OBJ_LABEL, 0, 0, 0);
   ObjectSetText(l_name_0, "SEFC Trend manager + Gap", 10, "Vineta BT", Blue);
   ObjectSet(l_name_0, OBJPROP_CORNER, 2);
   ObjectSet(l_name_0, OBJPROP_COLOR, Blue);
   ObjectSet(l_name_0, OBJPROP_XDISTANCE, 3);
   ObjectSet(l_name_0, OBJPROP_YDISTANCE, 3);
   if (Jlh_Candle >= Bars) Jlh_Candle = Bars;
   SetIndexDrawBegin(0, Bars - Jlh_Candle + 7);
   SetIndexDrawBegin(1, Bars - Jlh_Candle + 7);
   int l_ind_counted_20 = IndicatorCounted();
   if (Bars <= 8) return (0);
   if (Bars <= 8) return (0);
   if (l_ind_counted_20 < 8) {
      for (int li_8 = 1; li_8 <= 7; li_8++) g_ibuf_80[Jlh_Candle - li_8] = 0.0;
      for (li_8 = 1; li_8 <= 7; li_8++) g_ibuf_84[Jlh_Candle - li_8] = 0.0;
   }
   for (li_8 = Jlh_Candle - 7; li_8 >= 0; li_8--) {
      ld_24 = High[iHighest(NULL, 0, MODE_HIGH, 7, li_8 - 7 + 1)];
      ld_32 = Low[iLowest(NULL, 0, MODE_LOW, 7, li_8 - 7 + 1)];
      ld_64 = ld_32 - 0.9 * (ld_24 - ld_32) / 100.0;
      ld_72 = ld_24 - 30.6 * (ld_24 - ld_32) / 100.0;
      g_ibuf_80[li_8 - 7 + 6] = ld_72;
      g_ibuf_84[li_8 - 7 - 1] = ld_72;
      ld_48 = g_ibuf_80[0];
      ld_56 = g_ibuf_84[0];
      if (ld_48 > ld_56) Comment("Status = Open BUY pada harga = ", ld_48, " Close bila hampir cross");
      if (ld_48 < ld_56) Comment("Status = OPen SELL pada harga =", ld_56, " Close bila hampir cross");
   }
   return (0);
}